import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["imgSrc", "onClick", "children"];
import * as React from 'react';
var Image = function Image(_ref) {
  var imgSrc = _ref.imgSrc,
    onClick = _ref.onClick,
    children = _ref.children,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _otherProps = otherProps || {};
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "image"
  }, _otherProps, {
    onClick: onClick
  }), imgSrc ? /*#__PURE__*/React.createElement("img", {
    src: imgSrc,
    alt: ""
  }) : /*#__PURE__*/React.createElement("div", null, "\u6682\u65E0\u6570\u636E"));
};
Image.displayName = 'Image';
export default Image;